<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");

class paginas extends elemento{

	
	function paginas() {
        
        $c= new categoria;

    }
	
	function guardar($id=0){	
		$trata = new images_mod($this->req);
		$this->req['imagem'] = $trata->trataimagem('imagem', "../netimages/paginas");
		
		$this->req['permatitulo']=generate_seo_titulo1($this->req['titulo'], $this->tipo, $id);
		$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat']);
		
		parent::guardar($id);	
	}
	
	function guardarNovo(){
		$id=parent::guardarNovo();
		include ("mod/paginas/paginas_extraimagens_guardar.php");
		return $id;
	
	}
	
	function guardarEdit($id){
	
		parent::guardarEdit($id);

		include ("mod/paginas/paginas_extraimagens_guardar.php");
		return $id;
	}
    
    
    function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);

		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("",1);
		$f->campoTexto("Título Menu/topo","titulo" );
		$f->campoTexto("Título Menu/topo EN","titulo2" );
// 		$f->campoTexto("Sub-título","subtitulo" );

		$f->campoTexto("Título","titulo3" );
		$f->campoTexto("Sub-título","subtitulo" );
		
 		$f->campoHtml("Texto","texto" );
 		$f->campoHtml("Texto EN","texto2" );
// 		$f->campoTexto("Link","link" );
 		$f->campoImagem2("Imagem","imagem", 610, 1000 );
 		include ("mod/paginas/paginas_extraimagens.php");

		$f->campoValor("ordem", $linha["ordem"]);
		$f->campoSimNao("Activo", "estado", 0);
		$f->mostra();

	}
	
	function listar(){

        
        $campos=array("Nr"=>"id","Titulo Menu "=>"titulo", "Titulo Menu EN"=>"titulo2", "Ordem"=>"ordem");
        
        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "ordem", 1 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
                
        $f= new lista($campos, $dados, $this->req);
		$f->toolbars();
		$f->titulo();
		//$f->cabeca();
		$f->cabecaSimples();
		
        //$f->filtros();
        $f->tabela(true);
		$f->mostra();

	}

}
?>
